--
--版权所有:cyframe
-- Author: 
-- Date: 2017-07-09
-- Desc: 发布配置（重要）
--

--初始屏幕转向
local tScreenOrientation = {
    portrait = 0, --竖
    landscape = 1  --横
}

--是否发布(true = release  false = debug)
--false会启用gc_debug_config 正式发布时  请务必配置成 true
IS_MOBLIE_RELEASE = true

--=============================自定义配置 begin===========================--
--需要的视图模版
--[[--
    template(number)_(version)
    (如要直接使用,可以自行替换common\res\logo下的资源)
    template0 -> 竖版(支持横竖切换)
    template1 -> 横版地方棋牌
    template1_1 -> 横版地方棋牌(960*576UI)
    template2 -> 横版地方棋牌合集(分辨率适配)
    template3 -> 横版直接启动游戏模式(不支持横竖切换)(独立包启动模式)
    template4 -> 竖版直接启动游戏模式(不支持横竖切换)(独立包启动模式)

    说明:
    1、自定义脚本中data/helper 命名规则 统一前缀 CGC(custom gamecent),避免冲突
    2、自定义脚本中的场景和视图 建议统一命名规则 GCXXXScene/GCXXXMeditor
]]

--自定义视图的的目录名称
ZG_GC_CUSTOM_NAME = "template4"

--自定义的资源工程名(nil和"" 表示和视图目录名称 同名 不建议自定义名称)
ZG_GC_CUSTOM_RES_NAME = ""

--自定义视图的分辨率{wigth,height,scaleX,scaleY,界限值(屏幕宽/高>界限值=scaleX,否则=scaleY),frameSizeW,frameSizeH}(nil使用默认的 {960,576,"EXACT_FIT","EXACT_FIT",1.33,屏幕宽(win测试),屏幕高(win测试)})
ZG_GC_CUSTOM_DESIGN = {576,960,"FIXED_WIDTH","FIXED_HEIGHT",1.67}--,1024,768}
--,2436,1125}
--{1280,720,"FIXED_HEIGHT","FIXED_WIDTH",1.33}--,1024,800}
--,1218,900}
--=============================自定义配置 end=============================--

--屏幕转向 0_竖版(portrait) 1_横版(landscape)
ZG_GC_RESOLUTION = tScreenOrientation.portrait

--启动模式(优先级: GM配置 - 缓存 - 本地配置)
--[[--
    0 : 进入游戏中心后进入主游戏(host_prior)  
    1 : 进入游戏中心(gc_prior) 
    2 : 始终进入主游戏(host) 
    3 : 游戏中心分地区合集模式(gc_area)
]]
ZG_GC_ENTER_HOST_GAME = ZG_APP_GC_MOD.host

--=============================基础配置(系统自动分配 不能配错) begin===========================--

--conn版本(true 第一版  false 第二版(灰度状态))
ZG_IS_PROXY_CONN = false

-- appkey(保持和appid相同)
ZG_APP_KEY = "33002"

-- 游戏中心远程配置的版本号
ZG_GC_CONFIG_VERSION = 100010

-- 主游戏ID(动态获取失败时的默认值) 
ZG_GC_DEFAULT_HOST_GAMEID = tonumber(ZG_APP_KEY)

--是否支持房卡(34开头的默认为true 否则默认为false)
ZG_GC_CARD_MOD = (ZG_GC_DEFAULT_HOST_GAMEID > 34000 and ZG_GC_DEFAULT_HOST_GAMEID < 35000) and true or false

-- 主游戏名称(动态获取失败时的默认值) 
ZG_GC_DEFAULT_HOST_GAMENAME = "junqi"

-- 主游戏游戏类型(默认为lua)
ZG_GC_DEFAULT_HOST_GAME_TYPE = zengame.tPackageType.lua

-- 主游戏屏幕转向 如果不配置默认ZG_GC_RESOLUTION
ZG_GC_DEFAULT_HOST_GAME_RESOLUTION = ZG_GC_RESOLUTION

--=============================基础配置 end=============================--

--=============================可选参数配置 begin===========================--

-- 默认的下载效果大小 默认为131*131
--[[--
    建议值
    合集模式 100*100
    其他 保持默认值
]]
ZG_GC_UPDATE_EFFECT = {131,131}
--=============================可选参数配置 end=============================--

if ZG_GC_CARD_MOD then
    --地方棋牌
    ZG_GC_PLUGIN =  {
        --游密视频
        g_oYouMe = false,
        --游密语音
        g_oIM = false
    }
    ZG_GC_MODULE={

    }
else
    --=============================插件配置 begin===========================--
    --插件配置 配置为false为关闭  否则为打开(如果不配置 会启用默认配置)
    ZG_GC_PLUGIN = {
        --游密视频
        g_oYouMe = false,
        --游密语音
        g_oIM = false
    }
    --=============================插件配置 end=============================--

    --=============================功能配置 begin===========================--
    --参考插件配置
    ZG_GC_MODULE = {
        --自建房
        gc_sDiyRoom = false,
        --茶楼
        gc_sTeaHouse = false,
        --战绩
        gc_sWinLoss = false,
        --代理绑定
        gc_sProxy = false,
        --比赛
        gc_sMatch = false
    }
    --=============================功能配置 end=============================--
end